package org.xesstandard.xml;

public class XesXmlTags {

	/*
	 * Elements
	 */
	public final static String ALIAS = "alias";
	public final static String BOOLEAN = "boolean";
	public final static String CLASSIFIER = "classifier";
	public final static String DATE = "date";
	public final static String EVENT = "event";
	public final static String EXTENSION = "extension";
	public final static String FLOAT = "float";
	public final static String GLOBAL = "global";
	public final static String ID = "id";
	public final static String INT = "int";
	public final static String LIST = "list";
	public final static String LOG = "log";
	public final static String MAPPING = "mapping";
	public final static String META = "meta";
	public final static String STRING = "string";
	public final static String TRACE = "trace";
	public final static String XESEXT = "xesextension";
	
	/*
	 * Attributes
	 */
	public final static String KEY = "key";
	public final static String KEYS = "keys";
	public final static String NAME = "name";
	public final static String PREFIX = "prefix";
	public final static String SCOPE = "scope";
	public final static String URI = "uri";
	public final static String VALUE = "value";
	public final static String VALUES = "values";
	public final static String XESFEATURES = "xes.features";
	public final static String XESVERSION = "xes.version";
	
	/*
	 * Known versions
	 */
	public final static String VERSIONIEEE18492016 = "1849.2016";
	
	/*
	 * Known features
	 */
	public final static String NESTEDATTRIBUTES = "nested-attributes";
}
