package org.xesstandard.xml.issues;

import org.xesstandard.model.XesClassifier;
import org.xesstandard.xml.XesXmlIssueLevel;

public class XesXmlIssueClassifierNoKeys extends XesAbstractXmlIssue {

	/**
	 * Issue raised when a classifier has no keys.
	 */
	private Object object;
	private String keys;
	String label;
	
	public XesXmlIssueClassifierNoKeys(XesClassifier classifier, String keys) {
		super(XesXmlIssueLevel.CONFORMING);
		this.object = classifier;
		this.keys = keys;
		label = "Classifier";
	}
	
	public String toString() {
		return super.toString() + label + " keys may not be empty (see Clause 5.7.2).";
	}
}
