package org.xesstandard.xml.issues;

import org.xesstandard.model.XesExtension;
import org.xesstandard.xml.XesXmlIssueLevel;

public class XesextXmlIssueStrictlyConformingAttribute extends XesextAbstractXmlIssue {

	private String key;
	private String clause;
	
	public XesextXmlIssueStrictlyConformingAttribute(XesExtension extension, String key, String clause) {
		super(extension, XesXmlIssueLevel.CONFORMING);
		this.key = key;
		this.clause = clause;
	}
	
	public String toString() {
		return super.toString() + "Attribute " + key + " is not a XESEXT attribute (see " + clause + ").";
	}
}
