package org.xesstandard.model.attributes.impl;

import org.xesstandard.model.XesAttributeType;
import org.xesstandard.model.attributes.XesStringAttribute;
import org.xesstandard.model.impl.XesAttributeImpl;

public class XesStringAttributeImpl extends XesAttributeImpl implements XesStringAttribute {

	/*
	 * Stirng value of the attribute. May be <null>.
	 */
	private String value = null;
	
	/*
	 * Construct a string attribute.
	 */
	public XesStringAttributeImpl() {
		super(XesAttributeType.STRING);
	}
	
	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.XesAttribute#getStringValue()
	 */
	public String getStringValue() {
		return value;
	}

	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.attributes.XesStringAttribute#setValue(java.lang.String)
	 */
	public void setValue(String value) {
		this.value = value;
	}

	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.attributes.XesStringAttribute#getValue()
	 */
	public String getValue() {
		return value;
	}

}
