package org.xesstandard.model.impl;

import java.util.ArrayList;
import java.util.List;

import org.xesstandard.model.XesEvent;
import org.xesstandard.model.XesTrace;

public class XesTraceImpl extends XesComponentImpl implements XesTrace {

	/*
	 * Events in the trace.
	 */
	private List<XesEvent> events = new ArrayList<XesEvent>();
	
	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.XesTrace#addEvent(org.xesstandard.model.XesEvent)
	 */
	public void addEvent(XesEvent event) {
		events.add(event);
	}

	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.XesTrace#getEvents()
	 */
	public List<XesEvent> getEvents() {
		return events;
	}

	public String toString() {
		return super.toString();
	}
}
