package org.xesstandard.xml.issues;

import org.xesstandard.xml.XesXmlIssueLevel;

public class XesXmlIssueStrictlyConformingElement extends XesAbstractXmlIssue {

	/**
	 * Issue raised when some element contains an element that is not a XES element.
	 */
	private String tag;
	
	public XesXmlIssueStrictlyConformingElement(String tag) {
		super(XesXmlIssueLevel.STRICTLYCONFORMING);
		this.tag = tag;
	}
	
	public String toString() {
		return super.toString() + "Element " + tag + " is not a XES element (see Figure 2).";
	}
}

