package org.xesstandard.xml.issues;

import org.xesstandard.model.XesExtension;
import org.xesstandard.xml.XesXmlIssueLevel;

public class XesextXmlIssueAttributeRequired extends XesextAbstractXmlIssue {

	private String label;
	private String attribute;
	private String clause;
	
	public XesextXmlIssueAttributeRequired(XesExtension extension, String label, String attribute, String clause) {
		super(extension, XesXmlIssueLevel.CONFORMING);
		this.label = label;
		this.attribute = attribute;
		this.clause = clause;
	}
	
	public String toString() {
		return super.toString() + label + " must have attribute " + attribute + " (see " + clause + ").";
	}
}
