package org.xesstandard.xml.issues;

import org.xesstandard.model.XesExtension;
import org.xesstandard.xml.XesXmlIssueLevel;

public class XesextXmlIssueLanguageCode extends XesextAbstractXmlIssue {
	
	private String languageCode;
	
	public XesextXmlIssueLanguageCode(XesExtension extension, String languageCode) {
		super(extension, XesXmlIssueLevel.CONFORMING);
		this.languageCode = languageCode;
	}

	public String toString() {
		return super.toString() + languageCode + " is not an ISO language code (see Clause 6.7.2).";
	}
}
