package org.xesstandard.xml.issues;

import org.xesstandard.model.XesExtension;
import org.xesstandard.xml.XesXmlIssueLevel;

public class XesextXmlIssueParent extends XesextAbstractXmlIssue {

	/**
	 * Issue raised when an element (child) appears in the wrong container
	 * (parent).
	 */
	String label;
	String parents;

	public XesextXmlIssueParent(XesExtension extension, String label, String parents) {
		super(extension, XesXmlIssueLevel.CONFORMING);
		this.label = label;
		this.parents = parents;
	}

	public String toString() {
		return super.toString() + label + " is not child element of " + parents + " (see Figure 3).";
	}
}
