package org.xesstandard.xml.issues;

import org.xesstandard.model.XesExtension;
import org.xesstandard.xml.XesXmlIssueLevel;

public class XesextXmlIssueStrictlyConformingElement extends XesextAbstractXmlIssue {

	private String tag;
	
	public XesextXmlIssueStrictlyConformingElement(XesExtension extension, String tag) {
		super(extension, XesXmlIssueLevel.STRICTLYCONFORMING);
		this.tag = tag;
	}
	
	public String toString() {
		return super.toString() + "Element " + tag + " is not a XESEXT element (see Figure 3).";
	}
}
